OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
op::GpuRenderer Class Reference

`#include <gpuRenderer.hpp>`

Inherits op::Renderer.

Inherited by op::FaceGpuRenderer, op::HandGpuRenderer, and op::PoseGpuRenderer.

## Public Member Functions
| GpuRenderer (const float renderThreshold, const float alphaKeypoint, const float alphaHeatMap, const bool blendOriginalFrame=true, const unsigned int elementToRender=0u, const unsigned int numberElementsToRender=0u)
virtual | ~GpuRenderer ()
std::tuple< std::shared_ptr < float * >, std::shared_ptr < bool >, std::shared_ptr < std::atomic< unsigned int > >, std::shared_ptr < std::atomic< unsigned long long > >, std::shared_ptr < const unsigned int > > | getSharedParameters ()
void | setSharedParametersAndIfLast (const std::tuple< std::shared_ptr< float * >, std::shared_ptr< bool >, std::shared_ptr< std::atomic< unsigned int >>, std::shared_ptr< std::atomic< unsigned long long >>, std::shared_ptr< const unsigned int >> &tuple, const bool isLast)
Public Member Functions inherited from op::Renderer
| Renderer (const float renderThreshold, const float alphaKeypoint, const float alphaHeatMap, const bool blendOriginalFrame=true, const unsigned int elementToRender=0u, const unsigned int numberElementsToRender=0u)
virtual | ~Renderer ()
void | increaseElementToRender (const int increment)
void | setElementToRender (const int elementToRender)
void | setElementToRender (const ElementToRender elementToRender)
bool | getBlendOriginalFrame () const
void | setBlendOriginalFrame (const bool blendOriginalFrame)
float | getAlphaKeypoint () const
void | setAlphaKeypoint (const float alphaKeypoint)
float | getAlphaHeatMap () const
void | setAlphaHeatMap (const float alphaHeatMap)
bool | getShowGooglyEyes () const
void | setShowGooglyEyes (const bool showGooglyEyes)

## Protected Member Functions
void | cpuToGpuMemoryIfNotCopiedYet (const float *const cpuMemory, const unsigned long long memoryVolume)
void | gpuToCpuMemoryIfLastRenderer (float *cpuMemory, const unsigned long long memoryVolume)

## Protected Attributes
std::shared_ptr< float * > | spGpuMemory
Protected Attributes inherited from op::Renderer
const float | mRenderThreshold
std::atomic< bool > | mBlendOriginalFrame
std::shared_ptr< std::atomic < unsigned int > > | spElementToRender
std::shared_ptr< const unsigned int > | spNumberElementsToRender
std::atomic< bool > | mShowGooglyEyes

## Constructor & Destructor Documentation

op::GpuRenderer::GpuRenderer | ( | const float | renderThreshold,
|  | const float | alphaKeypoint,
|  | const float | alphaHeatMap,
|  | const bool | blendOriginalFrame = `true`,
|  | const unsigned int | elementToRender = `0u`,
|  | const unsigned int | numberElementsToRender = `0u`
| ) |  |
| explicit

virtual op::GpuRenderer::~GpuRenderer | ( |  | ) |
| virtual

## Member Function Documentation

void op::GpuRenderer::cpuToGpuMemoryIfNotCopiedYet | ( | const float *const | cpuMemory,
|  | const unsigned long long | memoryVolume
| ) |  |
| protected

std::tuple<std::shared_ptr<float*>, std::shared_ptr<bool>, std::shared_ptr<std::atomic<unsigned int> >, std::shared_ptr<std::atomic<unsigned long long> >, std::shared_ptr<const unsigned int> > op::GpuRenderer::getSharedParameters | ( |  | ) |

void op::GpuRenderer::gpuToCpuMemoryIfLastRenderer | ( | float * | cpuMemory,
|  | const unsigned long long | memoryVolume
| ) |  |
| protected

void op::GpuRenderer::setSharedParametersAndIfLast | ( | const std::tuple< std::shared_ptr< float * >, std::shared_ptr< bool >, std::shared_ptr< std::atomic< unsigned int >>, std::shared_ptr< std::atomic< unsigned long long >>, std::shared_ptr< const unsigned int >> & | tuple,
|  | const bool | isLast
| ) |  |

## Member Data Documentation

std::shared_ptr<float*> op::GpuRenderer::spGpuMemory
| protected

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/core/gpuRenderer.hpp